Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 620254 - [abrt] crash in fedora-packager-0.5.1.0-1.fc13: __init__.py:70:_hash_file:IOError: [Errno 2] No such file or directory: 'squid-3.1.6.tar.bz2.asc'
[abrt] crash in fedora-packager-0.5.1.0-1.fc13: __init__.py:70:_hash_file:IOE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:0a24c813
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 15:12 EDT by Henrik Nordström
Modified: 2013-01-10 01:06 EST (History)
4 users (show)

See Also:
Fixed In Version: fedora-packager-0.5.1.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (753 bytes, text/plain)
2010-08-01 15:12 EDT, Henrik Nordström
no flags Details

  None (edit)
Description Henrik Nordström 2010-08-01 15:12:10 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg new-sources squid-3.1.6.tar.bz2 squid-3.1.6.tar.bz2.asc
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.33.6-147.fc13.x86_64
package: fedora-packager-0.5.1.0-1.fc13
reason: __init__.py:70:_hash_file:IOError: [Errno 2] No such file or directory: 'squid-3.1.6.tar.bz2.asc'
release: Fedora release 13 (Goddard)

backtrace
-----
__init__.py:70:_hash_file:IOError: [Errno 2] No such file or directory: 'squid-3.1.6.tar.bz2.asc'

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 959, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 540, in new_sources
    mymodule.upload(args.files, replace=args.replace)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 1281, in upload
    file_hash = _hash_file(f, self.lookasidehash)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 70, in _hash_file
    input = open(file, 'rb')
IOError: [Errno 2] No such file or directory: 'squid-3.1.6.tar.bz2.asc'

Local variables in innermost frame:
hashtype: 'md5'
sum: <md5 HASH object @ 0x1d1db70>
file: 'squid-3.1.6.tar.bz2.asc'

How to reproduce
-----
1.fedpkg new-sources somenonexistingfile
2.
3.
Comment 1 Henrik Nordström 2010-08-01 15:12:14 EDT
Created attachment 435910 [details]
File: backtrace
Comment 2 Jesse Keating 2010-08-01 15:51:56 EDT
Just need to trap this error.
Comment 3 Pierre-YvesChibon 2010-08-03 03:06:04 EDT
Package: fedora-packager-0.5.1.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. fedpkg clone project
2. fedpkg new-sources project
3.


Comment
-----
I forgot the -version.tar.gz while running the new-sources command so of course I get a IOError.
Comment 4 Jiri Moskovcak 2010-08-10 08:19:26 EDT
Package: fedora-packager-0.5.1.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  fedpkg new-sources <wrong_file_name>

Comment
-----
The excetpion should be handled and not just let fedpkg to die with an exception.
Comment 5 Jesse Keating 2010-08-12 02:45:17 EDT
Fixed this in fedpkg.py.
Comment 6 Fedora Update System 2010-08-12 15:53:06 EDT
python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5
Comment 7 Fedora Update System 2010-08-12 15:56:43 EDT
fedora-packager-0.5.1.2-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc14
Comment 8 Fedora Update System 2010-08-12 16:01:12 EDT
fedora-packager-0.5.1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc13
Comment 9 Fedora Update System 2010-08-12 16:07:04 EDT
fedora-packager-0.5.1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc12
Comment 10 Fedora Update System 2010-08-13 17:06:04 EDT
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-2.fc13
Comment 11 Fedora Update System 2010-08-13 18:38:42 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager python-kitchen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-2.el5
Comment 12 Fedora Update System 2010-08-17 01:35:32 EDT
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-24 17:08:49 EDT
fedora-packager-0.5.1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-24 19:03:17 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-08-24 21:19:03 EDT
fedora-packager-0.5.1.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.